> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Wallets

> API reference for fetching all wallets

Retrieves a list of all wallets associated with your merchant account.

### Key Features:

* Returns both STABLECOIN and FIAT wallets
* Supports filtering by status, asset\_type, currency, and customer\_id
* Includes pagination metadata

### Query Parameters:

* `page`: Page number (default: 1)
* `limit`: Items per page (default: 10)
* `status`: Filter by status (active/pending/suspended)
* `asset_type`: Filter by type (STABLECOIN/FIAT)
* `currency`: Filter by currency (USDC, USDT, etc.)
* `customer_id`: Filter by customer ID

### Response Examples:

**Success Response**:

```json theme={null}
{
  "status": "success",
  "data": [
    {
      "id": "49468947-4006-4b9a-bd96-f6b0d0210ad3",
      "asset_type": "STABLECOIN",
      "currency": "USDC",
      "balance": "0.00000000",
      "description": "my erc account",
      "status": "active",
      "created_at": "2025-05-01T21:04:31.928Z",
      "updated_at": "2025-05-01T21:04:31.928Z",
      "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
      "addresses": [
        {
          "id": "2381eeac-a592-4992-8bb9-4286634a0e94",
          "address": "0x78D41923E23DcE32d1A346e96558dA89f89DD1aB",
          "network": "erc20",
          "created_at": "2025-05-01T21:04:32.179Z"
        }
      ]
    },
    {
      "id": "2acf9413-4db9-4602-9b91-22357b256e51",
      "asset_type": "FIAT",
      "currency": "CAD",
      "balance": "0.00",
      "description": "my cad account",
      "status": "pending",
      "created_at": "2025-05-12T16:53:15.383Z",
      "updated_at": "2025-05-12T16:53:15.383Z",
      "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
      "addresses": []
    }
  ],
  "pagination": {
    "total": 2,
    "page": 1,
    "limit": 10,
    "totalPages": 1
  }
}
```


## OpenAPI

````yaml GET /wallets
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /wallets:
    get:
      tags:
        - wallets
      summary: Fetch wallets
      description: Retrieves a list of all wallets with filtering options
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: customer_id
          in: query
          schema:
            type: string
            format: uuid
          required: false
          example: 85b148ab-3f6b-4d55-917f-3c8de668a48e
        - name: status
          in: query
          schema:
            type: string
            enum:
              - active
          required: false
          example: active
        - name: asset_type
          in: query
          schema:
            type: string
            enum:
              - STABLECOIN
              - FIAT
          required: false
          example: STABLECOIN
        - name: currency
          in: query
          schema:
            type: string
            enum:
              - USDC
              - ZAR
          required: false
          example: USDC
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
          required: false
          example: 1
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
          required: false
          example: 10
      responses:
        '200':
          description: Wallets retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 49468947-4006-4b9a-bd96-f6b0d0210ad3
                        asset_type:
                          type: string
                          enum:
                            - STABLECOIN
                            - FIAT
                          example: STABLECOIN
                        currency:
                          type: string
                          example: USDC
                        balance:
                          type: string
                          example: '0.00000000'
                        description:
                          type: string
                          nullable: true
                          example: My wallet
                        status:
                          type: string
                          example: active
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        customer_id:
                          type: string
                          format: uuid
                          nullable: true
                        addresses:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              address:
                                type: string
                              network:
                                type: string
                              created_at:
                                type: string
                                format: date-time
                  pagination:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 2
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 10
                      totalPages:
                        type: integer
                        example: 1
              examples:
                success:
                  value:
                    status: success
                    data:
                      - id: 49468947-4006-4b9a-bd96-f6b0d0210ad3
                        asset_type: STABLECOIN
                        currency: USDC
                        balance: '0.00000000'
                        description: my erc account
                        status: active
                        created_at: '2025-05-01T21:04:31.928Z'
                        updated_at: '2025-05-01T21:04:31.928Z'
                        customer_id: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                        addresses:
                          - id: 2381eeac-a592-4992-8bb9-4286634a0e94
                            address: '0x78D41923E23DcE32d1A346e96558dA89f89DD1aB'
                            network: erc20
                            created_at: '2025-05-01T21:04:32.179Z'
                      - id: 2acf9413-4db9-4602-9b91-22357b256e51
                        asset_type: FIAT
                        currency: CAD
                        balance: '0.00'
                        description: my cad account
                        status: pending
                        created_at: '2025-05-12T16:53:15.383Z'
                        updated_at: '2025-05-12T16:53:15.383Z'
                        customer_id: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                        addresses: []
                    pagination:
                      total: 2
                      page: 1
                      limit: 10
                      totalPages: 1

````